# SdFat: SdFatUtil Namespace Reference

SdFatUtil Namespace Reference

## Functions

int | FreeRam ()
void | print_P (Print *pr, PGM_P str)
void | println_P (Print *pr, PGM_P str)
void | SerialPrint_P (PGM_P str)
void | SerialPrintln_P (PGM_P str)

## Function Documentation

int SdFatUtil::FreeRam | ( |  | ) |

Amount of free RAM

Returns
  The number of free bytes.

void SdFatUtil::print_P | ( | Print * | pr,
|  | PGM_P | str
| ) |  |

Print a string in flash memory.

Parameters

  [in] | pr | Print object for output.
  [in] | str | Pointer to string stored in flash memory.

void SdFatUtil::println_P | ( | Print * | pr,
|  | PGM_P | str
| ) |  |

Print a string in flash memory followed by a CR/LF.

Parameters

  [in] | pr | Print object for output.
  [in] | str | Pointer to string stored in flash memory.

void SdFatUtil::SerialPrint_P | ( | PGM_P | str | ) |

Print a string in flash memory to Serial.

Parameters

  [in] | str | Pointer to string stored in flash memory.

void SdFatUtil::SerialPrintln_P | ( | PGM_P | str | ) |

Print a string in flash memory to Serial followed by a CR/LF.

Parameters

  [in] | str | Pointer to string stored in flash memory.